Support squashfs / .snap packages

Bug #1585867 reported by Robert Ancell on 2016-05-26
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
File Roller
Fix Released
Wishlist
shared-mime-info
Unknown
Unknown
desktop-file-utils (Ubuntu)
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
file-roller (Ubuntu)
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
gnome-software (Ubuntu)
Wishlist
Unassigned
Xenial
Wishlist
Unassigned
shared-mime-info (Ubuntu)
Wishlist
Unassigned
Xenial
Wishlist
Unassigned

Bug Description

[Impact]
There is no registered MIME types for sqhuashfs/snap files. Thus nothing knows how to open them. You cannot browse the contents in file-roller.

[Test Case]
1. Download/make a .snap
2. Run 'gnome-open NAME.snap' or click on it in Nautilus

Expected result:
The snap is opened in an appropriate program (file-roller and/or GNOME Software).

Observed result:
The file cannot be opened.

[Regression Potential]
Low. This change registers two new MIME types and adds new functionality to file-roller. Existing behaviours should be unchanged.

Changed in shared-mime-info (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
summary: - Support squashfs / .snap pacakges
+ Support squashfs / .snap packages
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package file-roller - 3.20.2-0ubuntu2

---------------
file-roller (3.20.2-0ubuntu2) yakkety; urgency=medium

  * debian/control:
    - Suggest squashfs-tools
  * debian/patches/squashfs.patch:
    - Support squashfs (i.e. .snap) files (LP: #1585867)

 -- Robert Ancell <email address hidden> Thu, 26 May 2016 16:06:39 +1200

Changed in file-roller (Ubuntu):
status: Triaged → Fix Released
Changed in file-roller:
importance: Unknown → Wishlist
status: Unknown → Confirmed
Changed in file-roller (Ubuntu Xenial):
status: New → Triaged
Changed in shared-mime-info (Ubuntu):
status: Triaged → Fix Committed
Changed in shared-mime-info (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → Wishlist
Changed in file-roller (Ubuntu Xenial):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shared-mime-info - 1.6-1ubuntu1

---------------
shared-mime-info (1.6-1ubuntu1) yakkety; urgency=medium

  * debian/patches/squashfs.patch:
    - Recognise squashfs files (LP: #1585867)

 -- Robert Ancell <email address hidden> Thu, 26 May 2016 16:13:40 +1200

Changed in shared-mime-info (Ubuntu):
status: Fix Committed → Fix Released
description: updated
description: updated
Changed in file-roller (Ubuntu Xenial):
status: Triaged → Fix Committed
Changed in shared-mime-info (Ubuntu Xenial):
status: Triaged → Fix Committed
Changed in desktop-file-utils (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
importance: Medium → Wishlist
Changed in gnome-software (Ubuntu):
importance: Undecided → Wishlist
status: New → Triaged
Changed in desktop-file-utils (Ubuntu Xenial):
importance: Undecided → Wishlist
status: New → Triaged
Changed in gnome-software (Ubuntu Xenial):
importance: Undecided → Wishlist
status: New → Triaged
Changed in desktop-file-utils (Ubuntu):
status: Triaged → Fix Committed
Changed in gnome-software (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package desktop-file-utils - 0.22-1ubuntu6

---------------
desktop-file-utils (0.22-1ubuntu6) yakkety; urgency=medium

  * debian/defaults.list:
    - Open .snap files in GNOME Software by default (LP: #1585867)

 -- Robert Ancell <email address hidden> Fri, 03 Jun 2016 16:47:31 +1200

Changed in desktop-file-utils (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-software - 3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu2

---------------
gnome-software (3.20.1+git20160426.1.a976144-ubuntu-xenial-0ubuntu2) yakkety; urgency=medium

  * debian/patches/snap_mime_type.patch:
    - Mark as able to load .snap MIME type (LP: #1585867)

 -- Robert Ancell <email address hidden> Fri, 03 Jun 2016 16:55:49 +1200

Changed in gnome-software (Ubuntu):
status: Fix Committed → Fix Released

Hello Robert, or anyone else affected,

Accepted shared-mime-info into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/shared-mime-info/1.5-2ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Brian Murray (brian-murray) wrote :

Hello Robert, or anyone else affected,

Accepted file-roller into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/file-roller/3.16.5-0ubuntu1.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Robert Ancell (robert-ancell) wrote :

Confirmed in Xenial that .snap files are opened by file-roller and show correct content.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package shared-mime-info - 1.5-2ubuntu0.1

---------------
shared-mime-info (1.5-2ubuntu0.1) xenial; urgency=medium

  * debian/patches/squashfs.patch:
  * debian/patches/snap.patch:
    - Recognise squashfs/snap files (LP: #1585867)

 -- Robert Ancell <email address hidden> Fri, 03 Jun 2016 14:07:16 +1200

Changed in shared-mime-info (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for shared-mime-info has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package file-roller - 3.16.5-0ubuntu1.1

---------------
file-roller (3.16.5-0ubuntu1.1) xenial; urgency=medium

  * debian/control:
    - Suggest squashfs-tools
  * debian/patches/squashfs.patch:
    - Support squashfs (i.e. .snap) files (LP: #1585867)

 -- Robert Ancell <email address hidden> Thu, 26 May 2016 16:06:39 +1200

Changed in file-roller (Ubuntu Xenial):
status: Fix Committed → Fix Released
Changed in file-roller:
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.